/*----------------------------------------------------------------------------------+
|                                                                                   |
|                            Multi-Tasking of 8 jobs                                |
|                                                                                   |
| Name: TaskSharingMain.c                                                           |
| Purpose:                                                                          |
|		Demostrate the usage of implementing the multitasking jobs, from job 1 to 8 |
|       Each 50ms will execute the 1 job, therefore for job 1 to execute again. It  |
|       is required to wait 7 jobs complete, that is 7x50ms.                        |
| Example:                                                                          |
|       50ms , 50ms , 50ms , 50ms , 50ms , 50ms , 50ms , 50ms , 50ms                |
|         ^      ^      ^      ^      ^      ^      ^      ^      ^                 |    
|       job1   job2   job3   job4   job5   job6   job7   job8   job1  ..... again.. |
+----------------------------------------------------------------------------------*/
#include <reg51.h>
#include <stdio.h>
#include "TaskSharing\InterruptConfig.h"

void main(void)
{
	init_uart();				// baud rate 9600
	init_Timer0();				// start Timer 0		
	turnOnTimer0();


	printf("\nHello");
	while(1);
}
